/**********************************************************************
** Copyright (C) 2002 Diaconu Violeta.  All rights reserved.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** Contact violeta_diaconu@yahoo.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#include <qpe/resource.h>
#include "answerslistitem.h"

AnswersListItem::AnswersListItem(QListView *parentList, int col, QString text)
					:QListViewItem(parentList) {
    parent = parentList;
    column = col;
    setText(column, text);
    //setMultiLinesEnabled(TRUE);
}

bool AnswersListItem::isChecked() {
	return checked;
}

RadioTypeItem::RadioTypeItem(QListView *parentList, int col, QString text, bool checkedItem):
                		AnswersListItem(parentList, col, text){
    if(checkedItem){
    	setPixmap(column, Resource::loadPixmap("handtest/option-on"));
        checked = TRUE;
    } else {
    	setPixmap(column, Resource::loadPixmap("handtest/option-off"));
 		checked = FALSE;
    }

}

void RadioTypeItem::changeIcon() {
	if(checked) {
    	setPixmap(column, Resource::loadPixmap("handtest/option-off"));
        checked = FALSE;
    }else {
    	//searching the item that is selected
        AnswersListItem  *currentItem =(RadioTypeItem *)parent->currentItem();
        AnswersListItem *item = (RadioTypeItem *)parent->firstChild();
        while(item) {
        	if(item->isChecked() && item != currentItem)
            	item->changeIcon();
        	item = (RadioTypeItem *)item->nextSibling();
        }
		setPixmap(column, Resource::loadPixmap("handtest/option-on"));
        checked = TRUE;
    }


}


CheckBoxTypeItem::CheckBoxTypeItem(QListView *parentList, int col, QString text, bool checkedItem):
					AnswersListItem(parentList, col, text) {

    if(checkedItem){
    	setPixmap(column, Resource::loadPixmap("handtest/check-on"));
        checked = TRUE;
    } else {
    	setPixmap(column, Resource::loadPixmap("handtest/check-off"));
 		checked = FALSE;
    }
}

void CheckBoxTypeItem::changeIcon() {
	if(checked) {
		setPixmap(column, Resource::loadPixmap("handtest/check-off"));
		checked = FALSE;
	}
	else {
		setPixmap(column, Resource::loadPixmap("handtest/check-on"));
		checked = TRUE;
	}
}

