/**********************************************************************
** Copyright (C) 2002 Diaconu Violeta.  All rights reserved.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** Contact violeta_diaconu@yahoo.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#ifndef ANSWERSLISTITEM_H
#define ANSWERSLISTITEM_H

#include <qlistview.h>
#include <qpixmap.h>

class AnswersListItem: public QListViewItem{
public:
	AnswersListItem(QListView *parentList, int columnm, const QString text);
    bool isChecked();
    //an abstract method
	virtual void changeIcon()=0;
    void setChecked(bool ck) {checked = ck;}
protected:
	QListView *parent;
    bool checked;
    int column;
};

class RadioTypeItem: public AnswersListItem {
public:
	RadioTypeItem(QListView *parentList, int column, QString text, bool checked);
	void changeIcon();
};

class CheckBoxTypeItem: public AnswersListItem {
public:
	CheckBoxTypeItem(QListView *parentList, int column, QString text, bool checked);
    void changeIcon();
};

#endif
