/**********************************************************************
** Copyright (C) 2002 Diaconu Violeta.  All rights reserved.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** Contact violeta_diaconu@yahoo.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#ifndef COUNTDOWNTIMER_H
#define COUNTDOWNTIMER_H

#include <qlcdnumber.h>
#include <qdatetime.h>


class CountDownTimer:public QLCDNumber {
	Q_OBJECT
public:
	CountDownTimer(const QColor&,
    			QWidget *parent = 0, const char *name = 0);
	void setTime(int, QString);
    void stopTimer();
    bool isActive();
    void resetTimer();
signals:
	void timeKeeperEnded();
protected:
	void timerEvent(QTimerEvent *e);
private:
	void showTime();
private:
	bool active;
    bool started;
	int timer;
    QTime currentTime;
};

#endif

