/**********************************************************************
** Copyright (C) 2002 Diaconu Violeta.  All rights reserved.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** Contact violeta_diaconu@yahoo.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#include "tableitem.h"

StatusTableItem::StatusTableItem(QTable *t, EditType et, 
								const QString& txt, bool s):
								QTableItem(t, et, txt) {
	status = s;
}

void StatusTableItem::paint(QPainter *p, const QColorGroup& cg,
							const QRect& cr, bool selected) {
	QColorGroup g(cg);
    if(status)
    	g.setColor(QColorGroup::Base, green);
	else
    	g.setColor(QColorGroup::Base, red);                                    
	QTableItem::paint(p, g, cr, selected);
}

