/**********************************************************************
** Copyright (C) 2002 Diaconu Violeta.  All rights reserved.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** Contact violeta_diaconu@yahoo.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#ifndef TESTSELECTOR_H
#define TESTSELECTOR_H

#include <qmainwindow.h>
#include <qwidget.h>
#include <qstring.h>
#include <qpe/applnk.h>
#include <qpe/fileselector.h>

class QMenuBar;
class QToolBar;
class QPopupMenu;
class QToolButton;
class QAction;
class QWidgetStack;
class TestGUI;


class TestSelector:public QMainWindow {
	Q_OBJECT
public:
	TestSelector(QString fileName = QString::null, QWidget *parent = 0,
    			const char *name = 0, int wFlags = 0);
    ~TestSelector();
    enum TestType {TrainerTest, TimerTest};
	int testLoaded;
	TestType getCurrentTestType();
    void enableMenuOpenActions(bool);
    void enableTrainerTool(bool);
    QMenuBar *menubar;
    QToolButton *toolbInform;

signals:
	void inform();
	void testTypeChanged();
	void releaseResources();
    
public slots:
	void openFileSelector();
    void openFile();
    void fileExit();
    void helpAbout();
    void openFile(const DocLnk&);
    void testTrainer();

private slots:
	void closeFileSelector();
    void informTest();
    void setDocument(const QString& fileref);

protected:
	void closeEvent(QCloseEvent* e);
private:
	QString fileName;
    QPopupMenu *fileMenu;
	QPopupMenu *helpMenu;

    QToolBar *toolbar;
    QToolButton *toolbOpen;
    QToolButton *toolbTrainer;

    QAction* fileOpenAction;
	QAction* fileExitAction;
	//QAction* helpContentsAction;
	QAction* helpAboutAction;
    QWidgetStack *wstack;
    FileSelector *fileSelector;
	TestGUI *testWidget;

    TestType type;
};
#endif

