/**********************************************************************
** Copyright (C) 2002 Diaconu Violeta.  All rights reserved.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** Contact violeta_diaconu@yahoo.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#ifndef TESTWIDGET_H
#define TESTWIDGET_H

#include <qwidget.h>
#include <qstring.h>

#include "test.h"

class QVBoxLayout;
class QTextView;
class QListView;
class QListViewItem;
class QLabel;

//test widget
class TestWidget: public QWidget  {
	Q_OBJECT
public:
	TestWidget(QWidget *parent=0, const char *name=0);
   ~TestWidget();
    void setQuestionText(QString);
    void addAnswerItem(QString, Question::AnswersType, bool checked);

    QListViewItem *getFirstAnswer();
    void setAnswersViewGeometry();
signals:
	void clear();
public slots:
	void checkAnswer(QListViewItem*);
    void clearComponent();
private:
	QVBoxLayout *layTest;
	QTextView *questionText;
    QListView *answersView;
    int answerHeight;
};
#endif
